Page MenuHomePhabricator

Switching to a non-whitelisted language shows wrong error message
Closed, ResolvedPublic

Description

Picture of incorrect warning (please check config - this IP is actually valid for this partner)

From our XL Indonesian partner - From the landing page, when they switch to a non-whitelisted language using the "or go the home page in another language" pulldown, they receive an error message that indicates that their carrier does not support Wikipedia Zero.

Instead, this action should trigger a 'standard data charges may apply Do you want to continue' warning. A 'no' response should go back to the landing page. A yes response should show the selected language with no Wikipedia Zero banner on top.


Version: unspecified
Severity: normal

Attached:

Details

Reference
bz44436

Event Timeline

bzimport raised the priority of this task from to High.Nov 22 2014, 1:17 AM
bzimport added a project: ZeroPortal.
bzimport set Reference to bz44436.
DFoy created this task.Jan 28 2013, 7:45 PM
DFoy added a comment.Jan 28 2013, 9:31 PM

Note that their is some ambiguity in their reporting/translation. It may be that the standard data charges message does appear, and (after confirmation?) the message shows up that the carrier does not support Wikipedia Zero.

brion added a comment.Jan 29 2013, 7:41 PM

Couple possibilities on this:

  • hide the big scary message on non-whitelisted zero, just show without a banner
  • send people to other languages on m. instead of zero
DFoy added a comment.Feb 7 2013, 9:29 PM

(In reply to comment #2)

Couple possibilities on this:

  • hide the big scary message on non-whitelisted zero, just show without a

banner

  • send people to other languages on m. instead of zero

ok, I like the idea of sending them over to m.wikipedia.org after they click continue from the 'this may incur standard data fees' warning.

Remember that the 'non-partner IP' error message only appears if they are on zero.wikipedia.org.

For partners that whitelist m.wikipedia.org, the behavior should be that they get a warning message when trying to go to a non-whitelisted language, then allow them to go ahead. I believe this is the way it works now, but the fix for zero.wikipedia.org must not change the m.wikipedia.org whitelisted behavior.

This has been highest priority for two weeks without any updates.

Dan / Brion: Is anything blocking this / is there a way to help?

This has been highest priority for four weeks without any updates.

Dan / Brion: Is anything blocking this / is there a way to help?

This ticket has been highest priority for two months without any updates & several requests for more info unanswered, so I am decreasing priority to 'High' as that seems to be more realistic. Feel free to bump back if it *is* the highest priority and somebody plans to work on it next.

Related URL: https://gerrit.wikimedia.org/r/62527 (Gerrit Change Ifb7d1af237d08a8b12bb5e8ed5d82c93f32b0d06)

Related URL: https://gerrit.wikimedia.org/r/62942 (Gerrit Change I173d824b2e5339d269a52158d217feba00b53f87)

https://gerrit.wikimedia.org/r/62527 (Gerrit Change Ifb7d1af237d08a8b12bb5e8ed5d82c93f32b0d06) | change ABANDONED [by Dr0ptp4kt]

https://gerrit.wikimedia.org/r/62942 (Gerrit Change I173d824b2e5339d269a52158d217feba00b53f87) | change APPROVED and MERGED [by jenkins-bot]